diff contrib/splicex/.configure @ 695:24a6ba1d8657 draft

SpliceX Changes
author d3v11 <d3v11@d3v11.ano>
date Mon, 24 Oct 2011 17:25:51 -0500
parents 2e33b56d4f0d
children
line wrap: on
line diff
--- a/contrib/splicex/.configure	Sun Oct 23 19:52:50 2011 -0500
+++ b/contrib/splicex/.configure	Mon Oct 24 17:25:51 2011 -0500
@@ -1,35 +1,35 @@
 #!/bin/bash
 clear
-echo -e "\033[1;31m
-                    __________        _ _         __  __    ______
-                   / / / / ___| _ __ | (_) ___ ___\\ \\/ /   / / / /
-                  / / / /\___ \| '_ \| | |/ __/ _ \\\\\\  /   / / / /
-                 / / / /  ___) | |_) | | | (_|  __//  \\  / / / /
-                /_/_/_/  |____/| .__/|_|_|\\___\\___/_/\\_\\/_/_/_/
-                               |_| 
-        \033[1;33m
-                     .:Brute Force Utilities For GNU/Linux:.
-        \033[0;0m
-
-       SpliceX is free software: you can redistribute it and/or modify it under
-       the terms of the GNU General Public License as published by the Free
-       Software Foundation, either version 3 of the License, or (at your option)
-       any later version.
-
-       SpliceX is distributed in the hope that it will be useful, but WITHOUT
-       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-       FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-       for more details. <http://www.gnu.org/licenses/>
-
-"
+echo -e "" 
+echo -e "\033[1;31m                    __________        _ _         \033[1;33m__  __\033[1;31m    ______    \033[0;0m"
+echo -e "\033[1;31m                   / / / / ___| _ __ | (_) ___ ___\033[1;33m\\ \\/ /\033[1;31m   / / / /  \033[0;0m"
+echo -e "\033[1;31m                  / / / /\___ \| '_ \| | |/ __/ _ \\\\\033[1;33m\\\  /   \033[1;31m/ / / /\033[0;0m"
+echo -e "\033[1;31m                 / / / /  ___) | |_) | | | (_|  __/\033[1;33m/  \\  \033[1;31m/ / / /     \033[0;0m"
+echo -e "\033[1;31m                /_/_/_/  |____/| .__/|_|_|\\___\\___\033[1;33m/_/\\_\\\\\033[1;31m/_/_/_/ \033[0;0m"
+echo -e "\033[1;31m                               |_|                                              \033[0;0m"
+echo -e ""
+echo -e "\033[1;33m                     .:Brute Force Utilities For GNU/Linux:.                   \033[0;0m"     
+echo -e ""
+echo -e ""
+echo -e "       SpliceX is free software: you can redistribute it and/or modify it under "
+echo -e "       the terms of the GNU General Public License as published by the Free     "
+echo -e "       Software Foundation, either version 3 of the License, or (at your option)"
+echo -e "       any later version.                                                       "
+echo -e ""
+echo -e "       SpliceX is distributed in the hope that it will be useful, but WITHOUT   "
+echo -e "       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or    "
+echo -e "       FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License    "
+echo -e "       for more details. <http://www.gnu.org/licenses/>                         "
+echo -e ""
+echo -e ""
 
 if [[ $(id -u) != 0 ]]; then
- echo 'root privileges required!..Quiting...'
+ echo -e 'root privileges required...\033[1;31m FAILED\033[0;0m'
  exit 1
 fi
 
 sleep .3
-echo 'CONFIGURE: '
+echo -e '\033[1;33mCONFIGURE: \033[0;0m'
 sleep .3
 echo -ne 'checking for python'
 sleep .3
@@ -40,12 +40,12 @@
 echo -ne '.'
 if which python >/dev/null; then
  sleep .3
- echo -ne ' python found :-)'
+ echo -ne '\033[1;32m OK\033[0;0m'
  echo
  sleep .3
 else
  sleep .3
- echo -ne ' python not found. Quiting... :-('
+ echo -ne '\033[1;31m FAILED\033[0;0m'
  echo
  exit 1
 fi
@@ -59,28 +59,29 @@
 echo -ne '.'
 if which man >/dev/null; then
  sleep .3
- echo -ne ' man found :-)'
+ echo -ne '\033[1;32m OK\033[0;0m'
  echo
  sleep .3
 else
  sleep .3
- echo -ne ' man not found. Quiting... :-('
+ echo -ne '\033[1;31m FAILED\033[0;0m'
  echo
  exit 1
 fi
 
 PYPATH=`which python`
-echo "configuring splicex for $PYPATH"
+echo  -ne "configuring splicex for $PYPATH"
 sleep .3
 echo -ne '.'
 sleep .3
 echo -ne '.'
 sleep .3
 echo -ne '.'
-sed -e s^PYTHON^"$PYPATH"^g src/splicex.py >src/splicex.cp
-sed -e s^PYTHON^"$PYPATH"^g src/splicex-deshadow.py >src/splicex-deshadow.cp
-echo "configured...continuing \`make install'"
+sed -e s^PYTHON^"$PYPATH"^g src/splicex.py >src/splicex.cp || echo -ne '\033[1;31m FAILED\033[0;0m'
+sed -e s^PYTHON^"$PYPATH"^g src/splicex-deshadow.py >src/splicex-deshadow.cp || echo -ne '\033[1;31m FAILED\033[0;0m'
+echo -ne '\033[1;32m OK\033[0;0m'
+echo -e ""
 sleep .3
 echo
-echo 'INSTALL: '
+echo -e '\033[1;33mINSTALL: \033[0;0m'
 sleep .3